// ANSI includes

// Application includes
#include "TempMeter.h"
#include "Gauges.h"

// Constructors
TempMeter::TempMeter()
	:	BApplication("application/x-vnd.temp")
{	BRect buttonRect(0, 0, 28, 16);
	buttonRect.OffsetBy(10, 0);
	Gauges *replicant = new Gauges( buttonRect, "Gauges");
	BMessage archiveMsg(B_ARCHIVED_OBJECT);
	replicant->Archive(&archiveMsg);
	BMessenger messenger("application/x-vnd.Be-TSKB", -1, NULL);
	messenger.SendMessage(&archiveMsg);
	PostMessage(B_QUIT_REQUESTED);
	return;
}

// Destructors
TempMeter::~TempMeter()
{
}
